import matrixCompile from './matrix-compile/matrixCompile';
import matrixServer from './matrix-server/matrixServer';
import metroCompile from './deprecated-compile/metroCompile';
import metroServer from './depreacted-server/metroServer';
import getDefaultConfig from './matrix-config/getDefaultConfig';
import generateMetroCfg from './deprecated-compile/generateMetroCfg';
import { generateDevBuildResult, generateProdBuildResult } from './lib/generateBuildResult';
import { getRegisterComponents, getActualComponents } from './lib/getRegisterComponents';
export declare const compiler: {
    compile: typeof matrixCompile;
    devServer: typeof matrixServer;
    getDefaultConfig: typeof getDefaultConfig;
};
export declare const deprecatedCompiler: {
    compile: typeof metroCompile;
    devServer: typeof metroServer;
    generateMetroCfg: typeof generateMetroCfg;
};
export declare const utils: {
    generateDevBuildResult: typeof generateDevBuildResult;
    generateProdBuildResult: typeof generateProdBuildResult;
    getRegisterComponents: typeof getRegisterComponents;
    getActualComponents: typeof getActualComponents;
};
