const cssLoader = require('@hyext/compile')
const upstreamTransformer = require('metro-react-native-babel-transformer')

// type transformerArgs = {
//   filename: string;
//   options: {
//     hyextTransformerConfig?: {
//      scalePx2dp_design_width?: number,
//      scalePx2dp_disable?: boolean,
//      scalePx2dp_by_orientation_width?: boolean,
//     }
//   };
//   plugins: [string, object][];
//   src: string;
// };

const HANDLE_BARS_PLUGINS = [["/Users/simon/Developer/huya/hyext/hyext-miniapp/packages/hyext-builder-beyond/node_modules/babel-plugin-transform-define/lib/index.js",{"process.env.HYEXT_BUILD_ENV":"dev","process.env.HYEXT_BUILD_TYPE":"rn","process.env.HYEXT_BUILD_EXT_TYPE":"unknown"}]]
const HANDLE_BARS_HYEXT_TRANSFORMER_CONFIG = {}

module.exports = {
  transform: function (args, registryPath, assetPlugins) {
    let { src, filename, options, plugins = [] } = args;

    const finalOptions = {
      ...options,
      hyextTransformerConfig: JSON.parse(HANDLE_BARS_HYEXT_TRANSFORMER_CONFIG),
    }
    const finalPlugins = [
      ...plugins,
      ...JSON.parse(HANDLE_BARS_PLUGINS),
    ]

    if (filename.endsWith(".css") || filename.endsWith(".hycss")) {
      return upstreamTransformer.transform({
        src: cssLoader.feature.transformCss2Js(src, filename, options, plugins),
        filename,
        options: finalOptions,
        plugins: finalPlugins,
      });
    }

    // 业务代码的以下类型文件, 先处理 stylesheet
    if (!filename.includes('node_modules')) {
      if (
        filename.endsWith(".js") ||
        filename.endsWith(".jsx") ||
        filename.endsWith(".tsx") ||
        filename.endsWith(".ts")
      ) {
        src = cssLoader.feature.transformStylesheet(
          src,
          filename,
          options: finalOptions,
          plugins: finalPlugins,
        );
      }
    }

    return upstreamTransformer.transform({
      src,
      filename,
      options: finalOptions,
      plugins: finalPlugins,
    });
  },
};
