"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
function blacklist(additionalBlacklist) {
    // Don't forget to everything listed here to `package.json`
    // modulePathIgnorePatterns.
    const sharedBlacklist = [
        /node_modules\/react\/dist\/.*/,
        /website\/node_modules\/.*/,
        /heapCapture\/bundle\.js/,
        /.*\/__tests__\/.*/,
    ];
    const escapeRegExp = (pattern) => {
        if (Object.prototype.toString.call(pattern) === '[object RegExp]') {
            // @ts-ignore
            return pattern.source.replace(/\//g, path_1.default.sep);
        }
        else if (typeof pattern === 'string') {
            var escaped = pattern.replace(/[\-\[\]\{\}\(\)\*\+\?\.\\\^\$\|]/g, '\\$&');
            // convert the '/' into an escaped local file separator
            return escaped.replace(/\//g, '\\' + path_1.default.sep);
        }
        else {
            throw new Error('Unexpected blacklist pattern: ' + pattern);
        }
    };
    return new RegExp('(' +
        (additionalBlacklist || [])
            .concat(sharedBlacklist)
            .map(escapeRegExp)
            .join('|') +
        ')$');
}
exports.default = blacklist;
