export interface ResolverConfig {
    assetExts?: string[];
    blacklistRE?: RegExp;
    extraNodeModules?: {
        [name: string]: string;
    };
    hasteImplModulePath?: string;
    platforms?: string[];
    resolverMainFields?: string[];
    resolveRequest?: unknown;
    sourceExts?: string[];
    useWatchman?: boolean;
    virtualMapper?: (file: string) => string[];
}
export interface ServerConfig {
    enhanceMiddleware?: unknown;
    useGlobalHotkey?: boolean;
    port?: number;
    runInspectorProxy?: boolean;
    verifyConnections?: boolean;
}
export interface SerializerConfig {
    createModuleIdFactory?: () => (path: string) => number | string;
    customSerializer?: unknown;
    experimentalSerializerHook?: unknown;
    getModulesRunBeforeMainModule?: (entryFilePath: string) => string[];
    getPolyfills?: (payload?: {
        platform: string;
    }) => string[];
    getRunModuleStatement?: (moduleId: number | string) => string;
    polyfillModuleNames?: string[];
    postProcessBundleSourcemap?: unknown;
    processModuleFilter?: (modules: any) => boolean;
}
export interface SymbolicatorConfig {
    customizeFrame?: (payload: {
        file?: string;
        lineNumber?: number;
        column?: number;
        methodName?: string;
    }) => {
        collapse: boolean;
    } | Promise<{
        collapse: boolean;
    }>;
}
export interface JsTransformerConfig {
    assetPlugins?: string[];
    assetRegistryPath?: string;
    asyncRequireModulePath?: string;
    babelTransformerPath?: string;
    dynamicDepsInPackages?: any;
    enableBabelRCLookup?: boolean;
    enableBabelRuntime?: boolean;
    experimentalImportBundleSupport?: boolean;
    minifierConfig?: any;
    minifierPath?: string;
    optimizationSizeLimit?: number;
    publicPath?: string;
}
export interface TransformerConfig extends JsTransformerConfig {
    getTransformOptions?: unknown;
    postMinifyProcess?: unknown;
    transformVariants?: unknown;
    workerPath?: string;
    babelPlugins?: any[];
    hyextTransformerConfig?: any;
}
export interface MetroConfig {
    resolver?: ResolverConfig;
    server?: ServerConfig;
    serializer?: SerializerConfig;
    symbolicator?: SymbolicatorConfig;
    transformer?: TransformerConfig;
}
