import { MetroConfig } from './configTypes';
interface BaseOptions {
    projectRoot: string;
    extUuid?: string;
    cacheVersion?: string;
    port?: number;
}
interface DevOptions extends BaseOptions {
    mode: 'dev';
    imageBaseURL?: string;
    SDKAlias?: {
        [aliasName: string]: string[];
    };
    filterModules?: Set<string>;
    filterModulesVersion?: Set<string>;
}
interface ProdOptions extends BaseOptions {
    mode: 'production';
    imageBaseURL: string;
    SDKAlias: {
        [aliasName: string]: string[];
    };
    filterModules: Set<string>;
    filterModulesVersion: Set<string>;
}
export default function getDefaultConfig(options: DevOptions | ProdOptions): MetroConfig;
export declare function generateTransformerFile(options: {
    projectRoot: string;
    extUuid?: string;
    cacheVersion?: string;
    babelPlugins?: any[];
    hyextTransformerConfig?: any;
}): string;
export {};
