/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { MetroConfig } from '../matrix-config/configTypes';
export interface MatrixServerConfig {
    projectRoot: string;
    metroConfig?: MetroConfig;
    onRequest?: (queryUrl: string) => void | Promise<void>;
    interactive?: boolean;
    onReady?: () => void | Promise<void>;
    onError?: () => void | Promise<void>;
    customLogReporterPath?: any;
    host?: string;
    port?: number;
    https?: string;
    cert?: string;
    key?: string;
}
export default function matrixServer(config: MatrixServerConfig): Promise<any>;
