// @ts-ignore
import TerminalReporter from 'metro/src/lib/TerminalReporter'
import chalk from 'chalk'

import { MATRIX_READY_MESSAGE } from '../constants'


export default class HyTerminalReporter extends TerminalReporter {
  constructor(terminal: any, reportEvent?: any) {
    super(terminal)
    // @ts-ignore
    this.reportEvent = reportEvent
  }

  _log(event: any) {
    if (event.type === 'dep_graph_loading') {
      // @ts-ignore
      this.terminal.log(
        chalk.yellow.bold(MATRIX_READY_MESSAGE)
      )
      return
    }

    return super._log(event)
  }

  _logInitializing () {
    const logo = [
      String.raw` __  __     __  __     __  __     ______    `,
      String.raw`/\ \_\ \   /\ \/\ \   /\ \_\ \   /\  __ \   `,
      String.raw`\ \  __ \  \ \ \_\ \  \ \____ \  \ \  __ \  `,
      String.raw` \ \_\ \_\  \ \_____\  \/\_____\  \ \_\ \_\ `,
      String.raw`  \/_/\/_/   \/_____/   \/_____/   \/_/\/_/ `,
      String.raw`                                            `,
    ];
    // @ts-ignore
    this.terminal.log(chalk.yellow(logo.join("\n")));
  }

  setReportEvent(reportEvent: any) {
    // @ts-ignore
    this.reportEvent = reportEvent
  }

  update(event: any) {
    super.update(event);
    // @ts-ignore
    if (this.reportEvent) {
      // @ts-ignore
      this.reportEvent(event);
    }
  }
}

