import fs from 'fs-extra';
import crypto from 'crypto';

export default function (absPath: string): Promise<string> {
  return new Promise(function (resolve, reject) {
    const rs = fs.createReadStream(absPath);
    const hash = crypto.createHash('md5');

    rs.on('data', hash.update.bind(hash));

    rs.on('end', () => {
      resolve(hash.digest('hex'));
    });

    rs.on('error', (err) => {
      reject(err);
    });
  });
}
